List Orders
curl --request POST \
--url https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"companyId": "<string>"
}
'import requests
url = "https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders/get"
payload = {
"filter": { "userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] },
"companyId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
companyId: '<string>'
})
};
fetch('https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"orderLineItems": [
{
"id": "<string>",
"title": "<string>",
"quantity": 123,
"price": 123,
"retailPrice": 123,
"productTitle": "<string>",
"variantTitle": "<string>",
"productId": "<string>",
"variantId": "<string>",
"image": {
"url": "<string>",
"aspectRatio": 123
},
"personalizations": {
"name": {
"first": "<string>",
"last": "<string>",
"firstNameInitials": "<string>",
"lastNameInitials": "<string>",
"initials": "<string>",
"firstPossessive": "<string>"
},
"anniversary": {
"month": 123,
"monthPadded": "<string>",
"year": 123,
"decade": "<string>",
"years": 123,
"yearsPadded": "<string>",
"hundreds": "<string>",
"ordinal": "<string>",
"elapsed": "<string>",
"elapsedYears": "<string>"
},
"birth": {
"month": 123,
"monthPadded": "<string>",
"year": 123,
"decade": "<string>",
"years": 123,
"yearsPadded": "<string>",
"hundreds": "<string>",
"ordinal": "<string>",
"elapsed": "<string>",
"elapsedYears": "<string>"
},
"work": {
"department": "<string>",
"location": "<string>"
}
},
"sha": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"orderNumber": "<string>",
"externalId": "<string>",
"user": {
"externalId": "<string>",
"email": "<string>"
}
}
],
"count": 123
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}Orders
List Orders
List all orders by collection ID
POST
/
api
/
ext
/
v1
/
collection
/
{collectionId}
/
orders
/
get
List Orders
Date range filter is inclusive of both start and end dates and only filters via the day and not the time of day
Partners must pass in the companyId field in the body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I

